Bug 123647 - Installer selects non-existent driver for cmedia sound chipset
Summary: Installer selects non-existent driver for cmedia sound chipset
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-19 20:02 UTC by Jonathan Eskritt
Modified: 2014-03-17 02:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 21:28:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Eskritt 2004-05-19 20:02:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.7b) Gecko/20040421

Description of problem:
I have a cmedia sound system built into my mother board. The default
install doesn't let the sound to work (Note I upgraded from Fedora
Core 1). The installer selectes the kernel module cmpci. From
/etc/modprobe.conf:

#alias snd-card-0 cmpci

the cmpci module doesn't exist. The corect module is snd-cmipci.
/etc/modprobe.conf needs to be changed to:

alias snd-card-0  snd-cmipci

Additionally, the ALSA web page recommends adding the folowing to the
modprobe.conf file for this driver:

# ALSA portion
alias char-major-116 snd
alias snd-card-0  snd-cmipci

# OSS/Free portion
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0

# card #1
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss


Version-Release number of selected component (if applicable):
10.0-5

How reproducible:
Didn't try

Steps to Reproduce:
1. upgrade from fedora core 1, have a Cmedia chipset


    

Actual Results:  Sound doesn't work on upgrade, non-existent sound
driver selected (cmpci)

Expected Results:  sound should work, and the correct driver should be
setup (snd-cmipci)

Additional info:

Comment 1 Jack Spaar 2004-05-19 22:07:44 UTC
Had the exact same issue on upgrading FC1 to FC2.  Running
/usr/sbin/alsaconf adds the correct alias to /etc/modprobe.conf.  The
reference to obsolete cmpci module must be removed manually.

Reference https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=122927

Comment 2 Jonathan Eskritt 2004-05-20 05:14:42 UTC
/usr/sbin/aslaconf ins't installed by default on my system. The only
alsa command in /usr/sbin is alsactl. Which RPM is alsaconf installed
from?

Comment 3 Jack Spaar 2004-05-20 06:13:17 UTC
Whoops.  I had a newer version of alsa-utils installed from fedora.us
before upgrading to FC2.  Version 1.0.4-0 of alsa-utils from Fedora.US
contains /usr/sbin/alsaconf: 
http://download.fedora.us/fedora/fedora/1/i386/yum/stable//RPMS/alsa-utils-1.0.4-0.fdr.1.1.i386.rpm

I downgraded to the FC2 version (alsa-utils-1.0.3-1) and there is no
more alsaconf.

Comment 4 Bill Nottingham 2004-05-24 21:43:28 UTC
This is a mapping file bug.

Comment 5 Bill Nottingham 2004-05-24 21:46:47 UTC
I'm assuming if you change snd-cmpci to snd-cmipci in
/usr/share/hwdata/upgradelist, and then re-run
/usr/sbin/module_upgrade, it will correct the file.

Comment 6 Bill Nottingham 2004-09-17 21:28:20 UTC
This is fixed in current trees.


Note You need to log in before you can comment on or make changes to this bug.